FilterUtils.DelegatingTransformer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.FilterUtils.DelegatingTransformer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Class FilterUtils.DelegatingTransformer

    java.lang.Object
      org.biojava.bio.seq.FilterUtils.DelegatingTransformer

All Implemented Interfaces:
  FilterUtils.FilterTransformer

Enclosing class:
  FilterUtils

    public class FilterUtils.DelegatingTransformer

extends Object
implements FilterUtils.FilterTransformer

An implementation of FilterTransformer that attempts to transform by one transformer, and if that fails, by another.

Author:
  Matthew Pocock

Constructor Summary
`FilterUtils.DelegatingTransformer(FilterUtils.FilterTransformer t1, FilterUtils.FilterTransformer t2)` Create a new DelegatingTransformer that will apply t1 and then t2 if t1 fails.

Method Summary
`FeatureFilter` | `transform(FeatureFilter ff)` Transform a filter, or return null if it can not be transformed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterUtils.DelegatingTransformer

    public FilterUtils.DelegatingTransformer(FilterUtils.FilterTransformer t1,
                                             FilterUtils.FilterTransformer t2)

  Create a new DelegatingTransformer that will apply t1 and then t2 if t1 fails.

  Parameters:
    `t1` - the first FilterTransformer to try
    `t2` - the seccond FilterTransformer to try

Method Detail

### transform

    public FeatureFilter transform(FeatureFilter ff)

  Description copied from interface: `FilterUtils.FilterTransformer`
  Transform a filter, or return null if it can not be transformed.

  Specified by:
    `transform` in interface `FilterUtils.FilterTransformer`
  Parameters:
    `ff` - the FeatureFilter to attempt to transform
  Returns:
    a transformed filter, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD